ARMmbed

Which version of mbedtls should I use?

Hi,
Firstly, thanks for the great work on mbedtls.

Sorry if this is a stupid question but I want to be sure I’m using the correct version of mbedtls.

I’m trying to reduce memory in my application and noticed mbedtls_x509_crt_parse_der_nocopy() and MBEDTLS_SSL_KEEP_PEER_CERTIFICATE mentioned in the knowledge base.
I’m current using release version 2.16.2 which doesn’t have these available.
Which version should I use and, if it’s not an official stable release (like 2.16.2) how stable/safe is it.

Thanks
Paul

Hi Paul,
As mentioned in this blog, at the moment only maintanence releases from the LTS branches are being officially released.
The feature releases are currently only targeting Mbed OS, and may vary in their API, until Mbed TLS 3.0 will be shipped.
However, the latest feature relases(such as 2.18.0) should be stable enough, but it is not maintained.
Regards,
Mbed TLS support
Ron

Hi Ron,
Many thanks for the prompt response.
I will take a look at 2.18.0, obviously we’ll switch to TLS3.0 if it’s released before our project release date.

Thanks
Paul